package renzhengshouquan

import (
	"shylinux.com/x/ice"

	"shylinux.com/x/community/src/renzhengshouquan/model"
)

type admin struct {
	Tables
	auth     Auth
	userAuth userAuth
	order    string `data:"4"`
	role     string `data:"leader,worker"`
	open     string `name:"open" role:"void"`
}

func (s admin) List(m *ice.Message, arg ...string) {
	if m.Option("view") == "admin" {
		m.Cmdy(s.auth, arg[0]).Cut(model.SERVICE_UID, model.PLACE_UID)
		s.SelectJoinRecent(m, "")
		s.SelectJoinService(m)
		m.Display("").DisplayCSS("").Sort("service_name,place_name")
	} else {
		m.EchoInfoButton("请打开管理后台", s.Open)
	}
}
func (s admin) Open(m *ice.Message, arg ...string) {
	m.ProcessOpen(m.MergePodCmd("", m.PrefixKey(), model.AUTH_UID, m.Option(model.AUTH_UID), "view", "admin"))
}

func init() { ice.TeamCtxCmd(admin{}) }
