package yuehaoxitong

import "shylinux.com/x/ice"

type reception struct {
	Table
	fields string `data:"name,info,user_uid"`
	create string `name:"create reception_name* reception_info" role:"leader"`
	rename string `name:"rename name* info" role:"leader"`
	remove string `name:"remove" role:"leader"`
}

func (s reception) List(m *ice.Message, arg ...string) {
	s.ValueList(m, arg).PushAction(s.Rename, s.Remove)
}

func init() { ice.TeamCtxCmd(reception{}) }
